Bug 813729 - EPP configuration files use multiple version of kernel xsd definition
EPP configuration files use multiple version of kernel xsd definition
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.CR02
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.2.2.ER01
Assigned To: Peter Palaga
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 06:30 EDT by Viliam Rockai
Modified: 2015-08-31 23:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that several versions of kernel_1_*.xsd were referenced in XML configutation files. While no harmful consequences existed by having these obsolete templates declared, it made the XML files appear inconsistent. The fix removes all kernel_1_[^2].xsd, and replaces these references with kernel_1_2.xsd which makes the XML configuration files consistent.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8723 by ppalaga at 2012-06-15 05:18:24 EDT (show)
8723 by ppalaga at 2012-06-15 05:18:24 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 813729 - EPP configuration files use multiple version of kernel xsd definition

59 files changed:

  • epp/portal/branches/EPP_5_2_Branch/component/application-registry/src/test/resources/conf/exo.portal.component.application-registry-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/common/src/main/java/conf/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/common/src/test/resources/org/exoplatform/commons/chromattic/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/common/src/test/resources/org/exoplatform/commons/scope/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/identity/src/test/resources/conf/exo.portal.component.identity-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/management/src/main/resources/conf/portal/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/test/resources/conf/exo.portal.component.portal-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/test/resources/conf/test-i18nframework-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/test/resources/org/exoplatform/portal/config/conf/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/test/resources/org/exoplatform/portal/config/TestImport1-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/test/resources/org/exoplatform/portal/mop/navigation/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/portal/src/test/resources/org/exoplatform/portal/mop/user/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/resources/src/test/resources/conf/exo.portal.component.resources-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/test/core/src/main/resources/conf/root-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/test/core/src/test/resources/conf/test-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/test/jcr/src/main/resources/conf/exo.portal.component.test.jcr-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/web/controller/src/test/resources/org/exoplatform/web/portal/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/web/resources/src/test/resources/conf/resource-compressor-service-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/component/web/resources/src/test/resources/conf/test-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/distribution/jboss-epp/serverAddon/src/main/resources/conf/gatein/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/extension/config/src/main/java/conf/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/extension/war/src/main/webapp/WEB-INF/conf/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/extension/war/src/main/webapp/WEB-INF/conf/sample-ext/common/common-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/extension/war/src/main/webapp/WEB-INF/conf/sample-ext/jcr/jcr-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/extension/war/src/main/webapp/WEB-INF/conf/sample-ext/portal/portal-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/extension/war/src/main/webapp/WEB-INF/conf/sample-ext/web/web-inf-extension-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/portal/config/src/main/java/conf/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/portal/war/src/main/webapp/WEB-INF/conf/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/portal/war/src/main/webapp/WEB-INF/conf/sample-portal/common/common-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/portal/war/src/main/webapp/WEB-INF/conf/sample-portal/jcr/jcr-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/portal/war/src/main/webapp/WEB-INF/conf/sample-portal/portal/portal-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/examples/portal/war/src/main/webapp/WEB-INF/conf/sample-portal/web/web-inf-extension-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/server/jboss/patch-ear/src/main/jboss/server/default/conf/gatein/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/server/jboss/plugin/src/main/java/conf/portal/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/admin/admin-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/common/autologin-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/common/common-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/common/portlet-container-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/common/remindpwd-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/common/resource-compressor-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/common/security-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/jcr/component-plugins-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/jcr/jcr-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/mail/portal-mail-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/organization/exo/activedirectory-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/organization/exo/hibernate-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/organization/exo/jdbc-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/organization/exo/ldap-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/organization/idm-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/organization/organization-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/portal/application-registry-configuration.xml (+1 / -1)
  • epp/portal/branches/EPP_5_2_Branch/webui/core/src/test/resources/conf/portal/test-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/webui/portal/src/test/resources/conf/portal/test-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/wsrp-integration/extension-config/src/main/resources/conf/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/wsrp-integration/extension-ear-as5/src/main/application/lib/jboss5integration.jar/conf/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/wsrp-integration/extension-war/src/main/webapp/WEB-INF/conf/configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/wsrp-integration/extension-war/src/main/webapp/WEB-INF/conf/wsrp/jcr-configuration.xml (+2 / -2)
  • epp/portal/branches/EPP_5_2_Branch/wsrp-integration/extension-war/src/main/webapp/WEB-INF/conf/wsrp/wsrp-configuration.xml (+2 / -2)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2471 Trivial Resolved Configuration files use multiple versions of kernel xsd definition 2014-03-10 21:57:45 EDT

  None (edit)
Description Viliam Rockai 2012-04-18 06:30:36 EDT
EPP configuration files use multiple version of kernel xsd definition. Those version are 1.0, 1.1 and 1.2. 1.2 is the correct version according to our reference guide.

$ cd $JBOSS_HOME/server/default
$ grep -C 3 'kernel_' * -R

this will give the list of kernel versions in EPP files.
Comment 1 Peter Palaga 2012-06-12 07:32:00 EDT
Version 1.2 should be used not only for kernel XSD but also for two other XSDs: gatein_objects and gatein_resources. 
The occurrences should be fixed not only in the configuration files but also in the documentation.
Use the following greps to find only the problematic locations:

grep -C 3 'kernel_1_[^2]' * -R
grep -C 3 'gatein_objects_1_[^2]' * -R
grep -C 3 'gatein_resources_1_[^2]' * -R
Comment 2 Peter Palaga 2012-06-15 06:20:47 EDT
Fixed only for kernel XSD refs. All changed XML files are valid against kernel_1_2.xsd.

After discussing this with Bolek, we decided to WONTFIX this for gatein_objects and gatein_resources XSDs. The code which reads the corresponding XMLs does not validate them against any XSDs. The change would be too extensive for a minor release and could break running instances.
Comment 3 Peter Palaga 2012-06-15 06:20:48 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Due to historical reasons several versions of kernel_1_*.xsd were referenced from XML configutation files.
Consequence: No harmful consequences known. XML configuration files seemed to be unconsistent.
Fix: All kernel_1_[^2].xsd references were replaced by kernel_1_2.xsd.
Result: XML configuration files look consistent.
Comment 4 Jared MORGAN 2012-08-20 21:34:58 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1 @@
-Cause: Due to historical reasons several versions of kernel_1_*.xsd were referenced from XML configutation files.
+It was discovered that several versions of kernel_1_*.xsd were referenced in XML configutation files. While no harmful consequences existed by having these obsolete templates declared, it made the XML files appear inconsistent. The fix removes all kernel_1_[^2].xsd, and replaces these references with kernel_1_2.xsd which makes the XML configuration files  consistent.-Consequence: No harmful consequences known. XML configuration files seemed to be unconsistent.
-Fix: All kernel_1_[^2].xsd references were replaced by kernel_1_2.xsd.
-Result: XML configuration files look consistent.
Comment 5 Viliam Rockai 2012-08-28 08:19:15 EDT
Verified again at 5.2.2 CR01

Note You need to log in before you can comment on or make changes to this bug.